AggregatedFeatureGenerator (Apache OpenNLP :: Core :: Runtime 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.util.featuregen, class: AggregatedFeatureGenerator

Package opennlp.tools.util.featuregen

# Class AggregatedFeatureGenerator

java.lang.Object
opennlp.tools.util.featuregen.AggregatedFeatureGenerator

All Implemented Interfaces:
  `opennlp.tools.util.featuregen.AdaptiveFeatureGenerator`

public class AggregatedFeatureGenerator extends Object implements opennlp.tools.util.featuregen.AdaptiveFeatureGenerator
The `AggregatedFeatureGenerator` aggregates a set of `feature generators` and calls them to generate the features.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AggregatedFeatureGenerator(Collection<opennlp.tools.util.featuregen.AdaptiveFeatureGenerator> generators)`
  Initializes an `AggregatedFeatureGenerator` via specified `generators`.
  `AggregatedFeatureGenerator(opennlp.tools.util.featuregen.AdaptiveFeatureGenerator... generators)`
  Initializes an `AggregatedFeatureGenerator` via specified `generators`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearAdaptiveData()`
  Calls the `AdaptiveFeatureGenerator.clearAdaptiveData()` method on all aggregated `feature generators`.
  `void`
  `createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)`
  Calls the `AdaptiveFeatureGenerator.createFeatures(List, String[], int, String[])` method on all aggregated `feature generators`.
  `Collection<opennlp.tools.util.featuregen.AdaptiveFeatureGenerator>`
  `getGenerators()`
  Retrieves a `Collections` of all aggregated `feature generators`.
  `void`
  `updateAdaptiveData(String[] tokens, String[] outcomes)`
  Calls the `AdaptiveFeatureGenerator.updateAdaptiveData(String[], String[])` method on all aggregated `feature generators`.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AggregatedFeatureGenerator

    public AggregatedFeatureGenerator(opennlp.tools.util.featuregen.AdaptiveFeatureGenerator... generators)
    Initializes an `AggregatedFeatureGenerator` via specified `generators`.
    Parameters:
      `generators` - A collection of generators, `null` values are not permitted.

  - ### AggregatedFeatureGenerator

    public AggregatedFeatureGenerator(Collection<opennlp.tools.util.featuregen.AdaptiveFeatureGenerator> generators)
    Initializes an `AggregatedFeatureGenerator` via specified `generators`.
    Parameters:
      `generators` - A collection of generators, `null` values are not permitted.

- ## Method Details

  - ### clearAdaptiveData

    public void clearAdaptiveData()
    Calls the `AdaptiveFeatureGenerator.clearAdaptiveData()` method on all aggregated `feature generators`.
    Specified by:
      `clearAdaptiveData` in interface `opennlp.tools.util.featuregen.AdaptiveFeatureGenerator`

  - ### createFeatures

    public void createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)
    Calls the `AdaptiveFeatureGenerator.createFeatures(List, String[], int, String[])` method on all aggregated `feature generators`.
    Specified by:
      `createFeatures` in interface `opennlp.tools.util.featuregen.AdaptiveFeatureGenerator`

  - ### updateAdaptiveData

    public void updateAdaptiveData(String[] tokens, String[] outcomes)
    Calls the `AdaptiveFeatureGenerator.updateAdaptiveData(String[], String[])` method on all aggregated `feature generators`.
    Specified by:
      `updateAdaptiveData` in interface `opennlp.tools.util.featuregen.AdaptiveFeatureGenerator`

  - ### getGenerators

    public Collection<opennlp.tools.util.featuregen.AdaptiveFeatureGenerator> getGenerators()
    Retrieves a `Collections` of all aggregated `feature generators`.
    Returns:
      All aggregated generators in use.